Bug 171576 - [NEW PORT] games/py27-bombz: Simple 2D puzzle game with bombs
[NEW PORT] games/py27-bombz: Simple 2D puzzle game with bombs
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Rusmir Dusko
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 16:00 UTC by nemysis
Modified: 2013-10-14 14:50 UTC (History)
0 users

See Also:


Attachments
.shar (4.33 KB, text/plain)
2012-09-12 16:00 UTC, nemysis
no flags Details
bombz.shar (4.37 KB, application/x-shar)
2012-10-03 20:34 UTC, nemysis
no flags Details
bombz.shar (3.62 KB, application/x-shar)
2012-10-11 03:24 UTC, nemysis
no flags Details
bombz.shar (6.65 KB, application/x-shar)
2012-11-12 02:15 UTC, nemysis
no flags Details
bombz.shar (6.64 KB, application/x-shar)
2012-12-07 13:00 UTC, nemysis
no flags Details
bombz.shar (7.04 KB, application/x-shar)
2013-02-15 10:25 UTC, nemysis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-09-12 16:00:12 UTC
Bombz is a simple 2D puzzle game. It doesn't really have a plot. The object is
to blow up all the bombs on each level then escape off the edge of the screen.
To blow up a bomb, push it to where you want to cause an explosion, then collect
a match (originally a detonator in the Archimedes version) and touch the bomb
again and quickly get out of the way. A bomb destroys everything surrounding it
except the metallic walls; if it blows up another bomb, that takes out
everything around it too so you can set off chain reactions.

I originally wrote Bombz for the Acorn Archimedes over ten years ago and this is
a complete rewrite with better graphics and sound etc. I chose to keep the
original frame rate of 50fps in the rewrite because a more conventional 60fps
feels a little too fast and 30fps feels too slow. Movement may appear slightly
jerky unless your monitor runs at 100Hz.

WWW: http://bombz.sourceforge.net/

Generated and tested manually, tested with port test and with RedPorts (all RELEASES, CLANG), sent with FreeBSD Port Tools 0.99_6 (mode: new)

How-To-Repeat: 
portlint -A
WARN: Makefile: [8]: possible direct use of command "python" found. use ${PYTHON_CMD} instead

Because is used

DIST_SUBDIR=	python


Build log RedPorts

https://redports.org/buildarchive/20120912141758-54295/
Comment 1 cvs-src 2012-09-13 05:07:00 UTC
Hi,

nemysis wrote on 12.09.2012 18:52:
>> Number:         171576
>> Category:       ports
>> Synopsis:       [NEW PORT] games/py27-bombz: Simple 2D puzzle game with bombs

[...]

> XRUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}game>=0:${PORTSDIR}/devel/py-game

You can now use this line instead:

RUN_DEPENDS=	${PYGAME}

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 2 nemysis 2012-10-03 20:34:23 UTC
 portlint -A
WARN: Makefile: [8]: possible direct use of command "python" found. use ${PYTHON_CMD} instead.
0 fatal errors and 1 warning found.

port test: clean


Build log RedPorts

https://redports.org/buildarchive/20121002203006-1283/


Makefile changed

EXTRACT_DEPENDS=        convert:${PORTSDIR}/graphics/ImageMagick

PLIST_FILES=    bin/${PORTNAME} \                                                                                                                              
                share/pixmaps/${PORTNAME}.png \                                                                                                                
                share/applications/${PORTNAME}.desktop

post-extract:                                                                                                                                                  
        @(cd ${WRKSRC} && convert bombz.ico bombz.png)

# Pixmaps and Desktop                                                                                                                                          
        ${INSTALL_DATA} ${WRKSRC}/${PORTNAME}-0.png ${PREFIX}/share/pixmaps/${PORTNAME}.png                                                                    
        ${MKDIR} ${PREFIX}/share/applications                                                                                                                  
        ${INSTALL_DATA} ${WRKSRC}/${PORTNAME}.desktop ${PREFIX}/share/applications/


        ${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
Comment 3 nemysis 2012-10-11 03:24:46 UTC
Removed

PKGNAMEPREFIX=  ${PYTHON_PKGNAMEPREFIX}
Comment 4 nemysis 2012-11-12 02:15:21 UTC
Added pkg-plist
Comment 5 nemysis 2012-12-07 13:00:22 UTC
Changed
files/bombz.in
Comment 6 nemysis 2013-02-15 10:25:01 UTC
Removed

BUILD_DEPENDS=	winicontoppm:${PORTSDIR}/graphics/netpbm

portlint -A
WARN: Makefile: [11]: possible direct use of command "python" found. use ${PYTHON_CMD} instead.
0 fatal errors and 1 warning found.

port test: clean
Comment 7 Martin Wilke freebsd_committer 2013-08-14 10:23:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nemysis

submitter is committer now.
Comment 8 Rusmir Dusko freebsd_committer 2013-10-14 14:46:58 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 9 dfilter freebsd_committer 2013-10-14 14:48:42 UTC
Author: nemysis
Date: Mon Oct 14 13:48:33 2013
New Revision: 330322
URL: http://svnweb.freebsd.org/changeset/ports/330322

Log:
  Bombz is a simple 2D puzzle game. It doesn't really have a plot. The object is
  to blow up all the bombs on each level then escape off the edge of the screen.
  To blow up a bomb, push it to where you want to cause an explosion, then collect
  a match (originally a detonator in the Archimedes version) and touch the bomb
  again and quickly get out of the way. A bomb destroys everything surrounding it
  except the metallic walls; if it blows up another bomb, that takes out
  everything around it too so you can set off chain reactions.
  
  WWW: http://bombz.sourceforge.net/
  
  PR:		ports/171576
  Submitted by:	nemysis (self)
  Approved by:	wg/pawel (mentors)

Added:
  head/games/bombz/
  head/games/bombz/Makefile   (contents, props changed)
  head/games/bombz/distinfo   (contents, props changed)
  head/games/bombz/files/
  head/games/bombz/files/bombz.in   (contents, props changed)
  head/games/bombz/pkg-descr   (contents, props changed)
  head/games/bombz/pkg-plist   (contents, props changed)
Modified:
  head/games/Makefile

Modified: head/games/Makefile
==============================================================================
--- head/games/Makefile	Mon Oct 14 13:41:51 2013	(r330321)
+++ head/games/Makefile	Mon Oct 14 13:48:33 2013	(r330322)
@@ -92,6 +92,7 @@
     SUBDIR += bomberclone
     SUBDIR += bomberinstinct
     SUBDIR += bombherman
+    SUBDIR += bombz
     SUBDIR += bomns
     SUBDIR += boswars
     SUBDIR += bovo

Added: head/games/bombz/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/bombz/Makefile	Mon Oct 14 13:48:33 2013	(r330322)
@@ -0,0 +1,60 @@
+# Created by: Rusmir Dusko <nemysis@FreeBSD.org>
+# $FreeBSD$
+
+PORTNAME=	bombz
+PORTVERSION=	0.2
+CATEGORIES=	games python
+MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${DISTVERSION}/ \
+		SF/nemysisfreebsdp/:icons
+DISTFILES=	${PORTNAME}-${DISTVERSION}${EXTRACT_SUFX} \
+		${PORTNAME}.png:icons
+DIST_SUBDIR=	python
+EXTRACT_ONLY=	${PORTNAME}-${DISTVERSION}${EXTRACT_SUFX}
+
+MAINTAINER=	nemysis@FreeBSD.org
+COMMENT=	Simple 2D puzzle game with bombs
+
+LICENSE=	GPLv2
+
+RUN_DEPENDS=	${PYGAME}
+
+WRKSRC=		${WRKDIR}/Bombz
+
+USE_ZIP=	yes
+USE_SDL=	sdl image mixer
+INSTALLS_ICONS=	yes
+USE_DOS2UNIX=	*.txt
+USE_PYTHON=	yes
+
+PORTDOCS=	ChangeLog readme.txt
+
+SUB_FILES=	${PORTNAME}
+
+OPTIONS_DEFINE=	DOCS
+
+post-patch:
+	@${REINPLACE_CMD} -i '' '/words = name.split()/,/self.name = name/s/^/#/' \
+		${WRKSRC}/bombz/joy.py
+
+do-build:
+	@${PYTHON_CMD} -m compileall ${WRKSRC}
+	@${PYTHON_CMD} -O -m compileall ${WRKSRC}
+
+do-install:
+	${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME} ${STAGEDIR}${PREFIX}/bin/
+
+.for d in bombz levels pngs sounds FreeSans.ttf
+	@(cd ${WRKSRC} ; ${COPYTREE_SHARE} ${d} ${STAGEDIR}${DATADIR})
+.endfor
+.for d in *.py *.pyc *.pyo
+	@(cd ${WRKSRC} ; ${INSTALL_SCRIPT} ${d} ${STAGEDIR}${DATADIR})
+.endfor
+
+	${INSTALL_DATA} ${_DISTDIR}/${PORTNAME}.png ${STAGEDIR}${PREFIX}/share/pixmaps/
+	@${MKDIR} ${STAGEDIR}${PREFIX}/share/applications/
+	${INSTALL_DATA} ${WRKSRC}/${PORTNAME}.desktop ${STAGEDIR}${PREFIX}/share/applications/
+
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${STAGEDIR}${DOCSDIR}
+
+.include <bsd.port.mk>

Added: head/games/bombz/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/bombz/distinfo	Mon Oct 14 13:48:33 2013	(r330322)
@@ -0,0 +1,4 @@
+SHA256 (python/bombz-0.2.zip) = 95d6d8c54296bfddfaec2a156690fc1ac242f7e18d99ae742709aec1389ad096
+SIZE (python/bombz-0.2.zip) = 1287231
+SHA256 (python/bombz.png) = 9b4734eba37d17bb7e9b3ca38e3690d018860b9ff4a45e7eaace63f6e9c3b978
+SIZE (python/bombz.png) = 1423

Added: head/games/bombz/files/bombz.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/bombz/files/bombz.in	Mon Oct 14 13:48:33 2013	(r330322)
@@ -0,0 +1,7 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+
+cd "%%DATADIR%%"
+exec ./bombz.py "${@}"

Added: head/games/bombz/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/bombz/pkg-descr	Mon Oct 14 13:48:33 2013	(r330322)
@@ -0,0 +1,9 @@
+Bombz is a simple 2D puzzle game. It doesn't really have a plot. The object is
+to blow up all the bombs on each level then escape off the edge of the screen.
+To blow up a bomb, push it to where you want to cause an explosion, then collect
+a match (originally a detonator in the Archimedes version) and touch the bomb
+again and quickly get out of the way. A bomb destroys everything surrounding it
+except the metallic walls; if it blows up another bomb, that takes out
+everything around it too so you can set off chain reactions.
+
+WWW: http://bombz.sourceforge.net/

Added: head/games/bombz/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/bombz/pkg-plist	Mon Oct 14 13:48:33 2013	(r330322)
@@ -0,0 +1,160 @@
+bin/bombz
+share/applications/bombz.desktop
+%%DATADIR%%/FreeSans.ttf
+%%DATADIR%%/bombz.py
+%%DATADIR%%/bombz.pyc
+%%DATADIR%%/bombz.pyo
+%%DATADIR%%/bombz/__init__.py
+%%DATADIR%%/bombz/__init__.pyc
+%%DATADIR%%/bombz/__init__.pyo
+%%DATADIR%%/bombz/appdir.py
+%%DATADIR%%/bombz/appdir.pyc
+%%DATADIR%%/bombz/appdir.pyo
+%%DATADIR%%/bombz/bitmaps.py
+%%DATADIR%%/bombz/bitmaps.pyc
+%%DATADIR%%/bombz/bitmaps.pyo
+%%DATADIR%%/bombz/board.py
+%%DATADIR%%/bombz/board.pyc
+%%DATADIR%%/bombz/board.pyo
+%%DATADIR%%/bombz/controls.py
+%%DATADIR%%/bombz/controls.pyc
+%%DATADIR%%/bombz/controls.pyo
+%%DATADIR%%/bombz/customevents.py
+%%DATADIR%%/bombz/customevents.pyc
+%%DATADIR%%/bombz/customevents.pyo
+%%DATADIR%%/bombz/gamefont.py
+%%DATADIR%%/bombz/gamefont.pyc
+%%DATADIR%%/bombz/gamefont.pyo
+%%DATADIR%%/bombz/joy.py
+%%DATADIR%%/bombz/joy.pyc
+%%DATADIR%%/bombz/joy.pyo
+%%DATADIR%%/bombz/joymenu.py
+%%DATADIR%%/bombz/joymenu.pyc
+%%DATADIR%%/bombz/joymenu.pyo
+%%DATADIR%%/bombz/key.py
+%%DATADIR%%/bombz/key.pyc
+%%DATADIR%%/bombz/key.pyo
+%%DATADIR%%/bombz/keymenu.py
+%%DATADIR%%/bombz/keymenu.pyc
+%%DATADIR%%/bombz/keymenu.pyo
+%%DATADIR%%/bombz/levels.py
+%%DATADIR%%/bombz/levels.pyc
+%%DATADIR%%/bombz/levels.pyo
+%%DATADIR%%/bombz/menu.py
+%%DATADIR%%/bombz/menu.pyc
+%%DATADIR%%/bombz/menu.pyo
+%%DATADIR%%/bombz/options.py
+%%DATADIR%%/bombz/options.pyc
+%%DATADIR%%/bombz/options.pyo
+%%DATADIR%%/bombz/optsmenu.py
+%%DATADIR%%/bombz/optsmenu.pyc
+%%DATADIR%%/bombz/optsmenu.pyo
+%%DATADIR%%/bombz/particles.py
+%%DATADIR%%/bombz/particles.pyc
+%%DATADIR%%/bombz/particles.pyo
+%%DATADIR%%/bombz/pusher.py
+%%DATADIR%%/bombz/pusher.pyc
+%%DATADIR%%/bombz/pusher.pyo
+%%DATADIR%%/bombz/sounds.py
+%%DATADIR%%/bombz/sounds.pyc
+%%DATADIR%%/bombz/sounds.pyo
+%%DATADIR%%/bombz/userdir.py
+%%DATADIR%%/bombz/userdir.pyc
+%%DATADIR%%/bombz/userdir.pyo
+%%DATADIR%%/levels/01
+%%DATADIR%%/levels/02
+%%DATADIR%%/levels/03
+%%DATADIR%%/levels/04
+%%DATADIR%%/levels/05
+%%DATADIR%%/levels/06
+%%DATADIR%%/levels/07
+%%DATADIR%%/levels/08
+%%DATADIR%%/levels/09
+%%DATADIR%%/levels/10
+%%DATADIR%%/levels/11
+%%DATADIR%%/levels/12
+%%DATADIR%%/levels/13
+%%DATADIR%%/levels/14
+%%DATADIR%%/levels/15
+%%DATADIR%%/levels/16
+%%DATADIR%%/levels/17
+%%DATADIR%%/levels/18
+%%DATADIR%%/levels/19
+%%DATADIR%%/levels/20
+%%DATADIR%%/levels/21
+%%DATADIR%%/levels/22
+%%DATADIR%%/levels/23
+%%DATADIR%%/levels/24
+%%DATADIR%%/levels/25
+%%DATADIR%%/levels/26
+%%DATADIR%%/levels/27
+%%DATADIR%%/levels/28
+%%DATADIR%%/levels/29
+%%DATADIR%%/levels/30
+%%DATADIR%%/levels/31
+%%DATADIR%%/levels/32
+%%DATADIR%%/levels/33
+%%DATADIR%%/levels/34
+%%DATADIR%%/levels/35
+%%DATADIR%%/levels/36
+%%DATADIR%%/levels/37
+%%DATADIR%%/levels/38
+%%DATADIR%%/levels/39
+%%DATADIR%%/levels/40
+%%DATADIR%%/levels/41
+%%DATADIR%%/levels/42
+%%DATADIR%%/pngs/biglogo.png
+%%DATADIR%%/pngs/blank.png
+%%DATADIR%%/pngs/bomb1.png
+%%DATADIR%%/pngs/bomb2.png
+%%DATADIR%%/pngs/chrome00.png
+%%DATADIR%%/pngs/chrome01.png
+%%DATADIR%%/pngs/chrome02.png
+%%DATADIR%%/pngs/chrome03.png
+%%DATADIR%%/pngs/chrome04.png
+%%DATADIR%%/pngs/chrome05.png
+%%DATADIR%%/pngs/chrome06.png
+%%DATADIR%%/pngs/chrome07.png
+%%DATADIR%%/pngs/chrome08.png
+%%DATADIR%%/pngs/chrome09.png
+%%DATADIR%%/pngs/chrome10.png
+%%DATADIR%%/pngs/chrome11.png
+%%DATADIR%%/pngs/chrome12.png
+%%DATADIR%%/pngs/chrome13.png
+%%DATADIR%%/pngs/chrome14.png
+%%DATADIR%%/pngs/chrome15.png
+%%DATADIR%%/pngs/earth0.png
+%%DATADIR%%/pngs/earth1.png
+%%DATADIR%%/pngs/earth2.png
+%%DATADIR%%/pngs/explo0.png
+%%DATADIR%%/pngs/explo1.png
+%%DATADIR%%/pngs/explo10.png
+%%DATADIR%%/pngs/explo11.png
+%%DATADIR%%/pngs/explo2.png
+%%DATADIR%%/pngs/explo3.png
+%%DATADIR%%/pngs/explo4.png
+%%DATADIR%%/pngs/explo5.png
+%%DATADIR%%/pngs/explo6.png
+%%DATADIR%%/pngs/explo7.png
+%%DATADIR%%/pngs/explo8.png
+%%DATADIR%%/pngs/explo9.png
+%%DATADIR%%/pngs/floor.png
+%%DATADIR%%/pngs/mandown.png
+%%DATADIR%%/pngs/manleft.png
+%%DATADIR%%/pngs/manright.png
+%%DATADIR%%/pngs/manup.png
+%%DATADIR%%/pngs/match.png
+%%DATADIR%%/pngs/picket.png
+%%DATADIR%%/sounds/bomb.wav
+%%DATADIR%%/sounds/credits.txt
+%%DATADIR%%/sounds/fuse.wav
+%%DATADIR%%/sounds/match.wav
+%%DATADIR%%/sounds/pip1.wav
+%%DATADIR%%/sounds/pip2.wav
+share/pixmaps/bombz.png
+@dirrm %%DATADIR%%/sounds
+@dirrm %%DATADIR%%/pngs
+@dirrm %%DATADIR%%/levels
+@dirrm %%DATADIR%%/bombz
+@dirrm %%DATADIR%%
+@dirrmtry share/applications
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"